#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -DKDE_NO_COMPAT )

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kopete-pluginloader.upd kopete-account-tdeconf_update.upd
    kopete-pluginloader2.upd kopete-jabberproxytype-tdeconf_update.upd
    kopete-jabberpriorityaddition-tdeconf_update.upd
    kopete-nameTracking.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

install( PROGRAMS
    kopete-pluginloader.pl kopete-jabberpriorityaddition-tdeconf_update.sh
    kopete-pluginloader2.sh kopete-jabberproxytype-tdeconf_update.sh
    kopete-account-0.10.pl kopete-account-tdeconf_update.sh
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )


##### kopete_account_tdeconf_update (executable) ##

tde_add_executable( "kopete-account-tdeconf_update"
  SOURCES kopete-account-tdeconf_update.cpp
  LINK ${TQT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}/tdeconf_update_bin
)


##### kopete_pluginloader2_tdeconf_update (executable)

tde_add_executable( "kopete-pluginloader2-tdeconf_update"
  SOURCES kopete-pluginloader2.cpp
  LINK ${TQT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}/tdeconf_update_bin
)


##### kopete_nameTracking_tdeconf_update (executable)

tde_add_executable( "kopete-nameTracking-tdeconf_update"
  SOURCES kopete-nameTracking.cpp
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}/tdeconf_update_bin
)
